
#!/bin/bash
 
# 项目路径
PROJECT_PATH=/home/centos/okki-oms/jeecg-boot
 
# 进入项目目录
cd $PROJECT_PATH
 
# 清理Maven项目
mvn clean
 
# 打包Maven项目
mvn package -Dmaven.test.skip=true
 
# 检查包是否生成成功
if [ -f "$PROJECT_PATH/jeecg-boot-module-system/jeecg-system-start/target/jeecg-system-start-3.6.3.jar" ]; then
    echo "微服务包生成成功"
else
    echo "微服务包生成失败"
    exit 1
fi

java -jar "$PROJECT_PATH/jeecg-boot-module-system/jeecg-system-start/target/jeecg-system-start-3.6.3.jar" >logs/out.log